// AIvan header file
// AI for Ivan my companion robot
// top level c header file
// 
// by Les Hall
// started Thu Aug 18, 2016, 3:59 PM
// 



// Ivan's long term memory
const char *fileName = "AIvan_mem.txt";  // long term memory filename
const char *fileMode = "r+";  // open long term memory file in read/write mode
const int SIZE_W = 7;  // number of weights in each cell
const int SIZE_C = 6;  // number of sides in shape (cube has six sides)
const int SIZE_X = 16;  // width of cognitive array
const int SIZE_Y = 12; // height of cognitive array
const int SIZE_Z = 8;  // depth of cognitive array
const int AUDIO_BUFFER_SIZE = 256;



// Ivan's mode
const int error = -1;  // something is wrong with Ivan
const int off = 0;  // Ivan is powered down and not running any cycles
const int awake = 1;  // Ivan is thinking in a fully conscious awareness
const int asleep = 4;  // Ivan is sleeping so his motors are off
const int thinking = 8; // Ivan is thinking with long term memory access
const int dreaming = 16;  // Ivan is thinking without long term memory access
const int imagining = 32;  // Ivan is dreaming without long term memory access





